
QGIS Application - Bug report #14235

Merge selected features tool corrupts data when columns are defined as "hidden"

2016-02-05 02:42 AM - David Beni - arx iT

Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22232

Description

This bug concerns the "Merge selected features" tool from the "Advanced Digitizing Toolbar". A sample project is enclosed with the report

to reproduce.

Steps :

    1. Open the enclosed project

    2. Zoom to the "BATIMENT" layer, there are 2 features overlapping

    3. Turn on editing on this layer

    4. Select the two features

    5. Select the "Merge selected features" tool from the "Advanced Digitizing Toolbar" 

    6. Keep the default settings in the merge dialog

    7. Validate to launch the merge

The features are deleted, no new features created

    8. Open the "BATIMENTS" layer properties, go to the "Fields" section

    9. For the "ImportId" field, set the editor widget to "Text editor", instead of "Hidden" 

    10. Validate and close the properties

    11. Merge again the 2 features with the defaults settings

The merge is now working

The problem seems to come from this hidden "ImportId" field, because if you make the test with the "OGC_FID" field, the merge works in

all cases.

Associated revisions

Revision 1566e37a - 2016-02-07 10:58 AM - Nyall Dawson

Fix merge attribute dialog mangles field values when layer has hidden

fields (fix #14235)

History

#1 - 2016-02-05 04:02 AM - Giovanni Manghi

- Subject changed from Merge selected features tool deletes features in certain case to Merge selected features tool corrupts data when columns are 

defined as "hidden"

- OS version deleted (8.1)

- Operating System deleted (Windows)

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Does not seems to happen just in special cases... any time you have an hidden column that is not the PK this operation will lead to this data corruption...
#2 - 2016-02-05 12:01 PM - Nyall Dawson

- Assignee set to Nyall Dawson

#3 - 2016-02-05 12:01 PM - Nyall Dawson

- Status changed from Open to In Progress

#4 - 2016-02-07 02:01 AM - Nyall Dawson

- Status changed from In Progress to Closed

Fixed in changeset commit:"1566e37a47e5ea7c87abb692549ecb7a661aa147".
